プライベートエンドポイントサービスの一覧表示 (V2)
Lists the private endpoint services available across cloud regions.
GET/v2/privateEndpointServices
https://${CLUSTER_ENDPOINT}
📘ノート
${CLUSTER_ENDPOINT}を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。- エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つAPIキーである必要があります。
値の例: Bearer {{TOKEN}}
projectIdstringquery
利用可能なサービスを絞り込むためのプロジェクトのID。
値の例: proj-xxxxxxxxxxxxxxxxxxx
regionIdstringquery
サービスのフィルタリングに使用するクラウドリージョンのID。
currentPageintegerquery
返すページ番号。最初のページは1です。
値の例: 1
pageSizeintegerquery
1ページあたりに返す項目数。1~100の範囲外の値には、デフォルト値の10が使用されます。
値の例: 10
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request GET \
--url "${CLUSTER_ENDPOINT}/v2/privateEndpointServices" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス200 OK - application/json
成功結果またはエラーメッセージを返します。
成功レスポンス。
codeinteger必要
レスポンスコード。
値の例: 0
dataobject必要
プライベートエンドポイントサービスのページ分割された一覧。
endpointServicesarray
プライベートエンドポイントサービス。
[]endpointServicesobject
クラウドリージョンで利用可能なプライベートエンドポイントサービス。
regionIdstring
クラウドリージョンID。
cloudIdstring
クラウドプロバイダーID。
endpointServicestring
エンドポイントサービス名。
whitelistRequiredboolean
サービスが外部クラウドアカウントをホワイトリストに追加する必要があるかどうか。
currentPageinteger
現在のページ番号。
pageSizeinteger
1ページあたりの項目数。
countinteger
一致するサービスの総数。
失敗レスポンス。
codeinteger必要
レスポンスコード。
messagestring必要
エラーメッセージ。